package com.gic.enterprise.qo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 17:27
 */
public class ProjectQO extends PageQO {
    private static final long serialVersionUID = -3584081588337122486L;

    public interface SaveValid {}

    public interface DelValid {}

    @NotNull(message = "项目id不能为空", groups = DelValid.class)
    private Integer projectId;
    @org.hibernate.validator.constraints.NotBlank(message = "项目名称不能为空", groups = SaveValid.class)
    private String projectName;

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
}
