package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabWmOrderConfigMapper;
import com.gic.enterprise.dto.WmOrderConfigDTO;
import com.gic.enterprise.entity.TabWmOrderConfig;
import com.gic.enterprise.service.WmOrderConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("wmOrderConfigService")
public class WmOrderConfigServiceImpl implements WmOrderConfigService{
    @Autowired
    private TabWmOrderConfigMapper tabWmOrderConfigMapper;

    @Override
    public Integer saveWmOrderConfig(WmOrderConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabWmOrderConfig record = EntityUtil.changeEntityNew(TabWmOrderConfig.class, dto);
        tabWmOrderConfigMapper.insert(record);
        return record.getOrderConfigId();
    }

    @Override
    public void editWmOrderConfig(WmOrderConfigDTO dto) {
        dto.setUpdateTime(new Date());
        TabWmOrderConfig record = EntityUtil.changeEntityNew(TabWmOrderConfig.class, dto);
        tabWmOrderConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabWmOrderConfig getByWmMainAccount(String wmMainAccount) {
        return null;
    }
}
