package com.gic.operation.web.qo;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class PlatformBrandQO implements Serializable {

    private static final long serialVersionUID = 3361955210762134043L;

    public interface SavePlatformBrandValid {}
    public interface DelPlatformBrandValid {}

    @NotNull(message = "请选择品牌", groups = DelPlatformBrandValid.class)
    private Integer platformBrandId;
    @NotNull(message = "品牌名不能为空", groups = {SavePlatformBrandValid.class})
    private String platformBrandName;
    @NotNull(message = "经营类目不能为空", groups = {SavePlatformBrandValid.class})
    private String platformBrandCategoryCode;

    private Integer createType;

    public Integer getPlatformBrandId() {
        return platformBrandId;
    }

    public void setPlatformBrandId(Integer platformBrandId) {
        this.platformBrandId = platformBrandId;
    }

    public String getPlatformBrandName() {
        return platformBrandName;
    }

    public void setPlatformBrandName(String platformBrandName) {
        this.platformBrandName = platformBrandName;
    }

    public String getPlatformBrandCategoryCode() {
        return platformBrandCategoryCode;
    }

    public void setPlatformBrandCategoryCode(String platformBrandCategoryCode) {
        this.platformBrandCategoryCode = platformBrandCategoryCode;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }
}
