package com.gic.enterprise.constant;

/**
 * 商城模式
 * @ClassName: MallModeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 1:45 PM 
 */
public enum MallModeEnum {
    MICRO_MALL(1, "微商城模式"),
    SMART_RETAIL(1, "智慧零售模式"),
    ;

    private int code;
    private String msg;

    MallModeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static boolean isContain(Integer code) {
        if (code == null) {
            return false;
        }
        for (MallModeEnum modeEnum : values()) {
            if (code.intValue() == modeEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public int getCode() {
        return code;
    }

    public MallModeEnum setCode(int code) {
        this.code = code;
        return this;
    }

    public String getMsg() {
        return msg;
    }

    public MallModeEnum setMsg(String msg) {
        this.msg = msg;
        return this;
    }
}
