package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/15 17:22
 */
public class BillingRechargeRecordDTO implements Serializable {
    private static final long serialVersionUID = 80974612400162958L;

    /**
     *
     */
    private Integer rechargeRecordId;
    /**
     *
     */
    private Integer enterpriseId;
    /**
     * 流水号
     */
    private String serialNumber;
    /**
     * 充值金额
     */
    private Double totalFee;
    /**
     * 实付金额
     */
    private Double totalFeePaid;
    /**
     * 支付方式 1微信 2支付宝 3.线下支付
     */
    private Integer payType;
    /**
     * 支付信息表id
     */
    private Integer payInfoId;
    /**
     *
     */
    private Integer status;
    /**
     * 发起方  1：运维平台
     */
    private Integer initiator;
    /**
     * 发起人id
     */
    private Integer initiatorUser;
    /**
     * 发起人name
     */
    private String initiatorName;
    /**
     * 审核状态 1：审核中  2：审核通过（已完成）  3：审核失败
     */
    private Integer auditStatus;
    /**
     * 操作人
     */
    private Integer operator;
    /**
     * 验证码
     */
    private String verificationCode;
    /**
     *
     */
    private Date createTime;
    /**
     *
     */
    private Date updateTime;
    /**
     * 扣费时间
     */
    private Date deductionTime;
    private Integer invoiceStatus;
    /**
     * 支付流水号
     */
    private String payInfoSerialNumber;
    private String approvalNumber;
    private Date approvalCreateTime;
    private Date approvalTime;
    private Double plannedAmount;
    private Double accountAmount;
    private String approvalId;
    private String approvalName;
    private String approvalPhone;

    public Integer getRechargeRecordId() {
        return rechargeRecordId;
    }

    public void setRechargeRecordId(Integer rechargeRecordId) {
        this.rechargeRecordId = rechargeRecordId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getPayInfoId() {
        return payInfoId;
    }

    public void setPayInfoId(Integer payInfoId) {
        this.payInfoId = payInfoId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getInitiator() {
        return initiator;
    }

    public void setInitiator(Integer initiator) {
        this.initiator = initiator;
    }

    public Integer getInitiatorUser() {
        return initiatorUser;
    }

    public void setInitiatorUser(Integer initiatorUser) {
        this.initiatorUser = initiatorUser;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Integer getOperator() {
        return operator;
    }

    public void setOperator(Integer operator) {
        this.operator = operator;
    }

    public String getVerificationCode() {
        return verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setPayInfoSerialNumber(String payInfoSerialNumber) {
        this.payInfoSerialNumber = payInfoSerialNumber;
    }

    public String getPayInfoSerialNumber() {
        return payInfoSerialNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalCreateTime(Date approvalCreateTime) {
        this.approvalCreateTime = approvalCreateTime;
    }

    public Date getApprovalCreateTime() {
        return approvalCreateTime;
    }

    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    public Date getApprovalTime() {
        return approvalTime;
    }

    public void setPlannedAmount(Double plannedAmount) {
        this.plannedAmount = plannedAmount;
    }

    public Double getPlannedAmount() {
        return plannedAmount;
    }

    public void setAccountAmount(Double accountAmount) {
        this.accountAmount = accountAmount;
    }

    public Double getAccountAmount() {
        return accountAmount;
    }

    public void setApprovalId(String approvalId) {
        this.approvalId = approvalId;
    }

    public String getApprovalId() {
        return approvalId;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalPhone(String approvalPhone) {
        this.approvalPhone = approvalPhone;
    }

    public String getApprovalPhone() {
        return approvalPhone;
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }

}