package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmMemberCardConfig;

public interface TabWmMemberCardConfigMapper {
    /**
     * 根据主键删除
     *
     * @param memberCardConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer memberCardConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmMemberCardConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmMemberCardConfig record);

    /**
     * 根据主键查询
     *
     * @param memberCardConfigId 主键
     * @return 实体对象
     */
    TabWmMemberCardConfig selectByPrimaryKey(Integer memberCardConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmMemberCardConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmMemberCardConfig record);

    TabWmMemberCardConfig getByWmMainAccount(String wmMainAccount);
}