package com.gic.enterprise.entity;

import java.util.Date;

/**
 * tab_billing_recharge_record
 */
public class TabBillingRechargeRecord {
    /**
     * 
     */
    private Integer rechargeRecordId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 流水号
     */
    private String serialNumber;

    /**
     * 充值金额
     */
    private Double totalFee;

    /**
     * 实付金额
     */
    private Double totalFeePaid;

    /**
     * 支付方式 1微信 2支付宝 3.线下支付
     */
    private Integer payType;

    /**
     * 支付信息表id
     */
    private Integer payInfoId;

    /**
     * 
     */
    private Integer status;

    /**
     * 发起方  1：运维平台
     */
    private Integer initiator;

    /**
     * 发起人id
     */
    private Integer initiatorUser;

    /**
     * 发起人name
     */
    private String initiatorName;

    /**
     * 0：已关闭  1:待支付，2：已完成，3：审核中，4：审核失败
     */
    private Integer auditStatus;

    /**
     * 验证码
     */
    private String verificationCode;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    public Integer getRechargeRecordId() {
        return rechargeRecordId;
    }

    public void setRechargeRecordId(Integer rechargeRecordId) {
        this.rechargeRecordId = rechargeRecordId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getPayInfoId() {
        return payInfoId;
    }

    public void setPayInfoId(Integer payInfoId) {
        this.payInfoId = payInfoId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getInitiator() {
        return initiator;
    }

    public void setInitiator(Integer initiator) {
        this.initiator = initiator;
    }

    public Integer getInitiatorUser() {
        return initiatorUser;
    }

    public void setInitiatorUser(Integer initiatorUser) {
        this.initiatorUser = initiatorUser;
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getVerificationCode() {
        return verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }
}