package com.gic.enterprise.service;

import com.gic.enterprise.dto.WmMemberCardConfigDTO;
import com.gic.enterprise.entity.TabWmMemberCardConfig;

public interface WmMemberCardConfigService {

    /**
     * 新增会员卡配置
     * @Title: saveWmMemberCardConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveWmMemberCardConfig(WmMemberCardConfigDTO dto);

    void updateWmMemberCardConfig(WmMemberCardConfigDTO dto);

    /**
     * 根据微盟主账号查询记录，主账号平台唯一
     * @Title: getByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount 
     * @return  com.gic.enterprise.entity.TabWmMemberCardConfig 
     */
    TabWmMemberCardConfig getByWmMainAccount(String wmMainAccount);
}
