package com.gic.enterprise.service;

import com.gic.enterprise.dto.WmOrderConfigDTO;
import com.gic.enterprise.entity.TabWmOrderConfig;

public interface WmOrderConfigService {

    /**
     * 新增订单配置（商城店铺配置）
     * @Title: saveWmOrderConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveWmOrderConfig(WmOrderConfigDTO dto);

    void editWmOrderConfig(WmOrderConfigDTO dto);

    /**
     * 根据微盟主账号查询对应的订单配置
     * @Title: getByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount 
     * @return  com.gic.enterprise.entity.TabWmOrderConfig 
     */
    TabWmOrderConfig getByWmMainAccount(String wmMainAccount);
}
